#include "charsets.hh"
#include "unicode/unicode.hh"

converter::converter(const string &inputmime, const string &outputmime)
{
	in = newconverter(inputmime);
	out = newconverter(outputmime);
}
converter::~converter()
{
	delete in;
	delete out;
}

const wstring converter::html2wstring(const string &s)
{
	return in->c2uni(s, true);
}

const string converter::wide2str(const wstring &s)
{
	return out->uni2c(s);
}

void converter::setinputtype(const string &mime)
{
	delete in;
	in = newconverter(mime);
}

void converter::setmodifytype(const string &mime)
{
	delete out;
	out = newconverter(mime);
}
